Package org.apache.sling.feature.maven.mojos

# Class Repository

java.lang.Object
org.apache.sling.feature.maven.mojos.FeatureSelectionConfig
org.apache.sling.feature.maven.mojos.Repository

public class Repository extends FeatureSelectionConfig

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`repositoryDir`
The directory for the repository to store.

## Constructor Summary

Constructors
Constructor
Description
`Repository()`

## Method Summary

Modifier and Type
Method
Description
`List<org.apache.maven.model.Dependency>`
`getEmbedArtifacts()`
`void`
`setEmbedArtifact(org.apache.maven.model.Dependency dep)`
`String`
`toString()`

### Methods inherited from class org.apache.sling.feature.maven.mojos.FeatureSelectionConfig

`equals, getFilesExcludes, getSelections, hashCode, setFilesExclude, setFilesInclude, setIncludeArtifact, setIncludeClassifier, setRefsInclude`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### repositoryDir

public String repositoryDir
The directory for the repository to store. This directory is relative to the build directory.

## Constructor Details

### Repository

public Repository()

## Method Details

### setEmbedArtifact

public void setEmbedArtifact(org.apache.maven.model.Dependency dep)

### getEmbedArtifacts

public List<org.apache.maven.model.Dependency> getEmbedArtifacts()

### toString

public String toString()

Overrides:
  `toString` in class `FeatureSelectionConfig`